Skip to content

Get the bank transfer details for a face-to-face transaction which payment method is `bank_transfer`

Request

Security
APIKey
Path
transaction_idinteger, (int64)required
Headers
Trustap-Userstring

Required in client flows, where you make API calls on behalf of another Trustap user.

GET
/api/v1/p2p/transactions/{transaction_id}/bank_transfer_details
curl -i -X GET \
  -u '<API_KEY>:​' \
  'https://dev.stage.trustap.com/api/v1/p2p/transactions/{transaction_id}/bank_transfer_details' \
  -H 'Trustap-User: string'

Responses

OK

Bodyapplication/json
amountinteger, (int64)required
currencystringrequired
financial_addressobject(p2p.FinancialAddress)required
hosted_instructions_urlstringrequired
referencestringrequired
Response
{ "amount": 0, "currency": "string", "financial_address": { "aba": {}, "iban": {}, "sort_code": {}, "swift": {} }, "hosted_instructions_url": "string", "reference": "string" }